Bug 372631 - Weird gecko & pidgin segfault with SCIM Anthy + Enabled "Share input method among all applications" + Stick windows
Summary: Weird gecko & pidgin segfault with SCIM Anthy + Enabled "Share input method a...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: scim-anthy   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-09 11:41 UTC by Mohd Izhar Firdaus Ismail
Modified: 2008-03-03 13:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 13:35:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mohd Izhar Firdaus Ismail 2007-11-09 11:41:42 UTC
Description of problem:
When SCIM Japanese input is selected, and the options
"Share input method among all applications" and "Stick windows" are enabled,
Gecko (Firefox/Epiphany/Kazehakase) and Pidgin (and maybe some other apps)
suffers random segmentation faults. 

Version-Release number of selected component (if applicable):
scim-anthy-1.2.4-2.fc8

How reproducible:
Random, but frequent

Steps to Reproduce:
1. Enable SCIM
2. Enable the "Share the same input method among all applications" option @
FrontEnd's Global Setup
3. Right click at the SCIM panel icon, enable "Stick Windows"
4. Switch to Japanese text input
5. Test1 : Launch epiphany, press ctrl+t, epiphany segfaults
6. Test2 : Launch firefox, open the preferences dialog(Edit>Preferences),
firefox crashes
7. Test3 : Launch pidgin, login into any account, add a new buddy, a crash
dialog appears (though pidgin does not crash fully)
  
Actual results:
Several apps, mainly Gecko based apps, segfaults freqeuently

Expected results:
The apps should not crash

Additional info:
Theres no problem with English input, and I also tried with korean, also I did
not notice the problem repeats ..

Comment 1 Akira TAGOH 2007-11-22 06:43:29 UTC
looks good to me. please provide more info like the following commands:

1. rpm -qa | grep scim
2. echo $GTK_IM_MODULE $XMODIFIERS
3. locale


Comment 2 Mohd Izhar Firdaus Ismail 2007-11-22 06:57:36 UTC
[kagesenshi@Hikari tmp]$ rpm -qa \*scim\*
scim-libs-1.4.7-7.fc8
scim-sinhala-0.2.0-3.fc8
scim-anthy-1.2.4-2.fc8
scim-1.4.7-7.fc8
scim-hangul-0.3.1-1.fc7
scim-chewing-0.3.1-9.fc7
scim-pinyin-0.5.91-23.fc8

[kagesenshi@Hikari ~]$ env|grep -i im
QT_IM_MODULE=xim
XMODIFIERS=@im=SCIM
GTK_IM_MODULE=xim

[kagesenshi@Hikari ~]$ locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

Comment 3 Akira TAGOH 2007-11-22 07:10:34 UTC
Thanks. if you remove scim-chewing and/or scim-pinyin, do you still see this issue?

Also the backtrace from gdb with various -debuginfo package would helps too.


Comment 4 Mohd Izhar Firdaus Ismail 2008-03-03 13:35:03 UTC
Seems like its fixed on current Rawhide


Note You need to log in before you can comment on or make changes to this bug.